NS1 Python SDK
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
nsone
tests
.gitignore
.travis.yml
LICENSE
README.rst
setup.py

README.rst

Legacy NS1 Python SDK

This SDK is deprecated in favor of ns1-python and should not be used for new projects. The code in this repository provides just a thin wrapper for the new SDK to allow easier migration.

Migration to the new SDK

The new SDK provides equivalent functionality. To migrate a project to the new SDK:

  • Update your project dependencies to use ns1-python instead of nsone.
  • Replace use of nsone namespace with ns1.
  • Replace use of nsone.NSONE with ns1.NS1.